Bug 78583 - Cannot select (move, resize) floating frame
Summary: Cannot select (move, resize) floating frame
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Object-Selection-Alignment Impress-UX Object-Rotation
  Show dependency treegraph
 
Reported: 2014-05-12 06:37 UTC by Ulrich Windl
Modified: 2021-09-08 03:42 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Test where I cannot select the frame. (11.65 KB, application/vnd.oasis.opendocument.presentation)
2014-05-12 07:23 UTC, Ulrich Windl
Details
Sample text document to include (13.43 KB, application/vnd.oasis.opendocument.text)
2015-06-09 08:57 UTC, Ulrich Windl
Details
Test Presentation using attachment #116402 (21.11 KB, application/vnd.oasis.opendocument.presentation)
2015-06-09 08:58 UTC, Ulrich Windl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Windl 2014-05-12 06:37:57 UTC
You can add a "floating frame" (with e.g. a writer document) in Impress, but once added, that frame cannot be selected, moved, or resized. At least not in a way the typical user could find out.
Comment 1 David Tardon 2014-05-12 07:07:04 UTC
Can you attach a sample presentation that shows that? Because I can surely do it.
Comment 2 Ulrich Windl 2014-05-12 07:23:08 UTC
Created attachment 98885 [details]
Test where I cannot select the frame.
Comment 3 tommy27 2014-05-21 04:48:22 UTC
@Ulrich
your attachment lacks the linked .odt file so it's almost unusable.
however I was able to reproducible with attachment 96804 [details] under Win7x64 using any LibO release and OOo 3.3.0 and AOO 4.1.0

problem persists in LibO 4.3.0.0.alpha1+
Build ID: a1dd961c3093f5f7624e4d1f2240e9120fd13f23
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-06_11:47:48

issue reproduced on MacOS as well. see: https://bugs.freedesktop.org/show_bug.cgi?id=76962#c5

status NEW, platform ALL, version INHERITED FROM OOo
Comment 4 QA Administrators 2015-06-08 14:41:24 UTC Comment hidden (obsolete)
Comment 5 Ulrich Windl 2015-06-09 08:56:56 UTC
Problem still present in "LibreOffice Still (4.3.7.2)" with newly created documents.
Comment 6 Ulrich Windl 2015-06-09 08:57:40 UTC
Created attachment 116402 [details]
Sample text document to include
Comment 7 Ulrich Windl 2015-06-09 08:58:26 UTC
Created attachment 116403 [details]
Test Presentation using attachment #116402 [details]
Comment 8 QA Administrators 2017-09-01 11:14:55 UTC Comment hidden (obsolete)
Comment 9 Thomas Lendo 2019-09-08 22:16:56 UTC
Still reproducible.
Version: 6.4.0.0.alpha0+
Build ID: 4e527f55d74e3220873075a8ec2799e2206fdb2d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-08-31_02:35:57
Locale: de-AT (de_AT.UTF-8); UI-Language: en-US
Calc: threaded
Comment 10 QA Administrators 2021-09-08 03:42:27 UTC
Dear Ulrich Windl,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug